*Einfhrung in die Statistik: bungen mit SPSS
*Ben Jann, ETH Zrich, jann@soz.gess.ethz.ch
*20. Dezember 2004

*Hinweis: Erstellen Sie einen Ausdruck der Datei "Codebuch.txt", um eine
*bersicht ber die Codierungen zu erhalten.

 get file="arbeit98s.sav".

 missing values all (-9 thru -1) /* negative Werte als Missings definieren */.

*Aufgabe 3-6-------------------------------------------------------------.

 frequencies sex.

*Aufgabe 3-7-------------------------------------------------------------.

 compute alter=98-a5j.
 variable label alter "Alter in Jahren".
 frequencies alter.

*Aufgabe 3-8-------------------------------------------------------------.

 sort cases by sex.
 split file by sex.
 frequencies g1.
 split file off.

*Aufgabe 3-9-------------------------------------------------------------.

 frequencies i17.

*Aufgabe 3-10------------------------------------------------------------.

 temporary.
 select if alter<=30.
 frequencies i17.

 temporary.
 select if alter>30.
 frequencies i17.

*oder.

 compute alt01=alter>30.
 value label alt01 0"30 oder jnger" 1"ber 30".
 sort cases by alt01.
 split file by alt01.
 frequencies i17.
 split file off.

*Aufgabe 3-11------------------------------------------------------------.

 graph /bar=b29.

*Aufgabe 3-12------------------------------------------------------------.

 graph /histogram=alter.

*oder.

 frequencies alter /format=notable /histogram.

*Aufgabe 4-10------------------------------------------------------------.

 missing value netinco (lo thru 0) /* Ausschluss von Personen ohne Einkommen */.

 temporary.
 select if c1=1.
 descriptives netinco.

*Besser, da auch Median.

 temporary.
 select if c1=1.
 frequencies netinco /format=notable /statistics=all.

*Aufgabe 4-11------------------------------------------------------------.

 temporary.
 select if c1=1.
 means netinco by sex.

*Box-Plot.

 temporary.
 select if c1=1.
 examine variables=netinco by sex /plot=boxplot 
  /statistics=none /nototal.

*Aufgabe 5-7-------------------------------------------------------------.

*Tabelle mit abs. Hufigk. und Spaltenprozenten.
 
 temporary.
 select if c1<>4.
 crosstabs b24 by sex /cells=count column.

 temporary.
 select if c1=1.
 crosstabs b24 by sex /cells=count column.

*Aufgabe 5-8-------------------------------------------------------------.

 recode alter (lo thru 30=1) (31 thru 50=2) (51 thru hi=3) into altkat.
 variable label altkat "Alterskategorien".
 value label altkat 1"18-30" 2"31-50" 3"51-71".
 frequencies altkat.

 compute erwerb=range(c1,1,3).
 value label erwerb 1"erwerbsttig" 0"nicht erwerbsttig".
 frequencies erwerb. 

 crosstabs erwerb by altkat /cells=count column
  /statistics=chi cc phi lambda uc.

*Aufgabe 6-5-------------------------------------------------------------.

 crosstabs b29 by b30 /format=notables /statistics=gamma.
 nonpar corr b29 b30 /print=both.

 compute b30b=abs(5.5-b30).
 fre b30b.
 crosstabs b29 by b30b /format=notables /statistics=gamma.
 nonpar corr b29 b30b /print=both.

*Aufgabe 6-6-------------------------------------------------------------.

 recode g1 (2=9) (3=10) (4=11) (5=12) (6=13) (7=15) (8=18) into bildung.
 variable label bildung "Bildungsjahre".
 frequencies bildung.

 compute vz=c1=1.
 filter by vz.
 correlations variables=netinco alter bildung.
 correlations variables=netinco alter bildung /missing=listwise.
 filter off.

*Aufgabe 7-10------------------------------------------------------------.

 temporary.
 select if c1=1.
 t-test /groups=sex(0 1) /variables=netinco.

*Aufgabe 7-11------------------------------------------------------------.

 crosstabs b29 by g1 /cells=column /statistics=chisq.

*Ausschluss von "andere Ausbildung" zur Berechnung von ordinalen 
*Zusammenhangsmassen.

 temporary.
 sel if g1<9.
 crosstabs b29 by g1 /format=notable /statistics=chisq btau gamma.

*Aufgabe 7-12------------------------------------------------------------.

 temporary.
 select if c1<>4.
 crosstabs b24 by sex /cells=count column
  /statistics=chisq.

 temporary.
 select if c1=1.
 crosstabs b24 by sex /cells=count column
  /statistics=chisq.

*Aufgabe 7-13------------------------------------------------------------.

*Mediantest und Rangsummentest.

 npar tests /median=b29 by sex(0 1).
 npar tests /m-w=b29 by sex(0 1).

 temporary.
 select if range(g1,7,8).
 npar tests /median=b29 by sex(0 1).
 temporary.
 select if range(g1,7,8).
 npar tests /m-w=b29 by sex(0 1).

*Aufgabe 8-4-------------------------------------------------------------.

 filter by vz /* Variable "vz" aus Aufgabe 6-6 */.
 regression /dependent=netinco /method=enter alter.
 regression /dependent=netinco /method=enter bildung.
 regression /dependent=netinco /method=enter sex.
 regression /dependent=netinco /method=enter alter bildung sex.
 filter off.

*Aufgabe 8-5-------------------------------------------------------------.

 filter by vz.
 plot /format=regression /plot=netinco with alter.
 plot /format=regression /plot=netinco with bildung.
 filter off.

*Aufgabe 8-6-------------------------------------------------------------.

 if netinco>0 lny=ln(netinco).
 rename variables bildung=educ.
 compute exp=alter-educ-6.5.
 if exp<0 exp=0.
 compute exp2=exp**2.
 if e14>0 lnh=ln(e14).
 descriptives lny educ exp exp2 lnh.

 sort cases by sex.
 split file by sex.
 regression /dependent=lny /method=enter educ exp exp2 lnh.
 split file off.

*Aufgabe 8-7-------------------------------------------------------------.

*Hinweis: s17c und s17g sind umgekehrt gepolt.

 compute ub=((5-s17a)+(5-s17b)+(s17c-1)+(5-s17d)
            +(5-s17e)+(5-s17f)+(s17g-1)+(5-s17h))*5/16.
 variable label ub"Umweltbewusstsein".
 value label ub 0"tief" 10"hoch".
 descriptives ub.

 correlate ub b30.
 nonpar corr ub b30.
 regression /dependent=ub /method=enter b30.
